rem --- Delete opsi partition and resize system partition
echo [%date% %time%] Copying %script_drive%\opsi\diskpart.txt to %data_dir%
copy %script_drive%\opsi\diskpart.txt %data_dir%
IF EXIST %script_drive%\opsi\partunhide.txt (
echo [%date% %time%] Copying %script_drive%\opsi\partunhide.txt to %data_dir%
copy %script_drive%\opsi\partunhide.txt %data_dir%
) ELSE (
echo [%date% %time%] No file %script_drive%\opsi\partunhide.txt
)
IF EXIST %script_drive%\opsi\parthide.txt (
echo [%date% %time%] Copying %script_drive%\opsi\parthide.txt to %data_dir%
copy %script_drive%\opsi\parthide.txt %data_dir%
) ELSE (
echo [%date% %time%] No file %script_drive%\opsi\parthide.txt
)
IF EXIST %script_drive%\opsi\diskinfo.ini (
echo [%date% %time%] Copying %script_drive%\opsi\diskinfo.ini to %data_dir%
copy %script_drive%\opsi\diskinfo.ini %data_dir%
) ELSE (
echo [%date% %time%] No file %script_drive%\opsi\diskinfo.ini
)

IF EXIST %script_drive%\opsi\diskpartRecovery.txt (
echo [%date% %time%] Copying %script_drive%\opsi\diskpartRecovery.txt to %data_dir%
copy %script_drive%\opsi\diskpartRecovery.txt %data_dir%
) ELSE (
echo [%date% %time%] No file %script_drive%\opsi\diskpartRecovery.txt
)

dir "%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-script"
dir "%programfiles%\opsi.org\opsi-client-agent\opsi-script"
dir "%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-winst"
dir "%programfiles%\opsi.org\opsi-client-agent\opsi-winst"

IF EXIST "%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-script\opsi-script.exe" (
Set OPSISCRIPTPATH="%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-script\opsi-script.exe"
GOTO WITHOPSISCRIPT
)
IF EXIST "%programfiles%\opsi.org\opsi-client-agent\opsi-script\opsi-script.exe" (
Set OPSISCRIPTPATH="%programfiles%\opsi.org\opsi-client-agent\opsi-script\opsi-script.exe"
GOTO WITHOPSISCRIPT
)
IF EXIST "%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-winst\winst32.exe" (
Set OPSISCRIPTPATH="%programfiles(x86)%\opsi.org\opsi-client-agent\opsi-winst\winst32.exe"
GOTO WITHOPSISCRIPT
)
IF EXIST "%programfiles%\opsi.org\opsi-client-agent\opsi-winst\winst32.exe" (
Set OPSISCRIPTPATH="%programfiles%\opsi.org\opsi-client-agent\opsi-winst\winst32.exe"
GOTO WITHOPSISCRIPT
)

echo [%date% %time%] Not found opsi-script - starting classic batch
cd %data_dir%
IF EXIST %data_dir%\partunhide.txt (
echo [%date% %time%] Executing: diskpart.exe /S %data_dir%\partunhide.txt
diskpart.exe /S %data_dir%\partunhide.txt
IF %ERRORLEVEL% NEQ 0 goto unhide_failed
echo [%date% %time%] Successful unhide partitions
goto go_on
:unhide_failed
echo [%date% %time%] Failed unhide partitions do not delete %script_drive%\opsi\partunhide.txt
:go_on
echo [%date% %time%] Executing: diskpart.exe /S %data_dir%\diskpart.txt
diskpart.exe /S %data_dir%\diskpart.txt
GOTO ENDPROG

:WITHOPSISCRIPT
echo [%date% %time%] Found opsi-script at %OPSISCRIPTPATH%
IF EXIST %tmp_dir%\postinst.d\nt6_repartition.opsiscript (
echo [%date% %time%] Copying %tmp_dir%\postinst.d\nt6_repartition.opsiscript to %data_dir%
copy %tmp_dir%\postinst.d\nt6_repartition.opsiscript %data_dir%
) ELSE (
echo [%date% %time%] No file %tmp_dir%\postinst.d\nt6_repartition.opsiscript
)
echo [%date% %time%] Starting opsi-script
call %OPSISCRIPTPATH% /batch "%data_dir%\nt6_repartition.opsiscript" "c:\opsi.org\log\postinst_repartition.log"
GOTO ENDPROG

:ENDPROG
echo [%date% %time%] finished 80_repartition.cmd
